SymmMatrix.h File Reference
`#include "Matrix.h"`
`#include "SquareMatrix.h"`
`#include <cstring>`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDNumeric::SymmMatrix< TYPE >
| A symmetric matrix class. More...

## Namespaces

| RDNumeric

## Typedefs

typedef SymmMatrix< double > | RDNumeric::DoubleSymmMatrix
typedef SymmMatrix< int > | RDNumeric::IntSymmMatrix
typedef SymmMatrix< unsigned int > | RDNumeric::UintSymmMatrix

## Functions

template<class TYPE >
SymmMatrix< TYPE > & | RDNumeric::multiply (const SymmMatrix< TYPE > &A, const SymmMatrix< TYPE > &B, SymmMatrix< TYPE > &C)
| SymmMatrix-SymmMatrix multiplication. More...
template<class TYPE >
Vector< TYPE > & | RDNumeric::multiply (const SymmMatrix< TYPE > &A, const Vector< TYPE > &x, Vector< TYPE > &y)
| SymmMatrix-Vector multiplication. More...
template<class TYPE >
std::ostream & | operator<< (std::ostream &target, const RDNumeric::SymmMatrix< TYPE > &mat)
| ostream operator for Matrix's More...

## Function Documentation

## operator<<()

template<class TYPE >

std::ostream& operator<< | ( | std::ostream & | target,
|  | const RDNumeric::SymmMatrix< TYPE > & | mat
| ) |  |

ostream operator for Matrix's

Definition at line 345 of file SymmMatrix.h.

References RDNumeric::SymmMatrix< TYPE >::getVal(), RDNumeric::SymmMatrix< TYPE >::numCols(), and RDNumeric::SymmMatrix< TYPE >::numRows().